package com.factory.controller.wx;

import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.util.res.ResponseBeanBuilder;
import com.factory.web.entity.statistics.ExceptionCountRes;
import com.factory.web.entity.statistics.StatisticsDateReq;
import com.factory.web.entity.vo.res.pad.ini.planlistRes;
import com.factory.web.service.statistics.StatisticsService;
import com.factory.wx.entity.req.AbnormalPlanReq;
import com.factory.wx.entity.res.AbnormalPlanRes;
import com.factory.wx.service.AbnormalStatisticsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 微信小程序端异常统计
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-05 3:55 下午
 */
@Api(tags = "微信小程序端")
@RestController
@RequestMapping("/statistics")
@Slf4j
public class StatisticsController {
    @Autowired
    private StatisticsService statisticsService;
    @Autowired
    private AbnormalStatisticsService abnormalStatisticsService;

    @ApiOperation(value = "异常统计")
    @PostMapping("/abnormal")
    public ResponseBean<ExceptionCountRes> abnormal(@RequestBody StatisticsDateReq statisticsDateReq) {
        return statisticsService.getExceptionsByMonth(statisticsDateReq);
    }

    @ApiOperation(value = "异常计划列表")
    @PostMapping("/list")
    public ResponseBean<Map> statisticsList(@RequestBody AbnormalPlanReq abnormalPlanReq) {
        List<AbnormalPlanRes> abnormalPlanResList = abnormalStatisticsService.getExceptionPlansByMonth(abnormalPlanReq);
        Map map = new HashMap<>();
        map.put("row", abnormalPlanResList);
        return ResponseBeanBuilder.ok(map);
    }

    @ApiOperation(value = "异常计划详情")
    @PostMapping("/detail")
    public ResponseBean<planlistRes> statisticsDetail() {
        return ResponseBeanBuilder.ok();
    }
}
