package com.factory.web.entity.pm.res;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.factory.web.entity.pm.OnsiteWorkshop;
import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class AbnormalWorkshopRes implements Serializable {
	
	@ApiModelProperty(value = "工作站id")
	private Long workshopId;
	
	@ApiModelProperty(value = "工作站名称")
	private String wsName;

	@ApiModelProperty(value = "巡检项及检查结果")
	private List<AbnormalItemRes> abnormalItemList;

}
